Sys.getpid {base} | R Documentation

## Get the Process ID of the R Session

### Description

Get the process ID of the R Session. It is guaranteed by the operating system that two R sessions running simultaneously will have different IDs, but it is possible that R sessions running at different times will have the same ID.

### Usage

    Sys.getpid()

### Value

An integer, often between 1 and 32767 under Unix-alikes (but for example FreeBSD and Mac OS >= 10.5 uses IDs up to 99999) and a positive integer up to 32767) under Windows.

### Examples

    Sys.getpid()

[Package base version 2.15.1 Index]